/**************************************************************************************************
Copyright (c) 2005-2006 Darrell Tam
email: darrell.barrell@gmail.com


***************************************************************************************************/


#include "BlkFxProgram.h"


BlkFxProgram g_blk_fx_presets[] = {
{
	"user",
	{
		0.0f, 16.0f/255.0f, BlkFxParam::getFFTLenParam(5), 0.35f, 
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
	}
},
{ "4 band para", { (float)1, (float)0.0627451, (float)0.407843, (float)0.706, (float)0, (float)0.246, (float)0.6046, (float)0.0156863, (float)0, (float)0.246, (float)0.51025, (float)0.603999, (float)0.0156863, (float)0, (float)0.51025, (float)0.74675, (float)0.6026, (float)0.0156863, (float)0, (float)0.7475, (float)1, (float)0.601, (float)0.0156863, 0} },
{ "Repitch C4", { (float)0, (float)0.0627451, (float)0.282353, (float)0.295625, (float)0, (float)0.635, (float)0, (float)0.67451, (float)0.2355, (float)0, (float)0.885, (float)0.6038, (float)0.392157, (float)0.3765, (float)0, (float)0, (float)0.6006, (float)0.0156863, (float)0.4, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Repitch C4 D#4", { (float)0, (float)0.0627451, (float)0.282353, (float)0.295625, (float)0, (float)0.635, (float)0, (float)0.67451, (float)0.2255, (float)0, (float)0.9675, (float)0.6038, (float)0.392157, (float)0.3765, (float)0, (float)0.6425, (float)0.6006, (float)0.67451, (float)0.225, (float)0, (float)1, (float)0.2976, (float)0.392157, (float)0.4} },
{ "HarmShift +3", { (float)0, (float)0.0627451, (float)0.282353, (float)0.295625, (float)0, (float)0.635, (float)0, (float)0.67451, (float)0.2355, (float)0, (float)0.9675, (float)0.6038, (float)0.360784, (float)0.5415, (float)0, (float)0, (float)0.6006, (float)0.0156863, (float)0.4, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Resample +3", { (float)0, (float)0.0627451, (float)0.219608, (float)0.292, (float)0, (float)0.883, (float)0.6042, (float)0.203922, (float)0.541, (float)0, (float)0, (float)0, (float)0.0156863, (float)0, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "BizarreEcho", { (float)0, (float)0.0627451, (float)0.407843, (float)0.35, (float)0, (float)0.9075, (float)0.6112, (float)0.0470588, (float)0.448, (float)0.04, (float)0.4975, (float)0, (float)0.67451, (float)0.695, (float)0.47, (float)0.7525, (float)0.669, (float)0.203922, (float)0.667, (float)0, (float)0, (float)0, (float)0, 0} },
{ "BizarreEcho2", { (float)0, (float)0.0627451, (float)0.470588, (float)0.706, (float)0, (float)0.9075, (float)0.6112, (float)0.0784314, (float)0.103, (float)0.04, (float)0.5575, (float)0, (float)0.67451, (float)0.055, (float)0.4525, (float)0.88, (float)0.669, (float)0.203922, (float)0.667, (float)0, (float)0, (float)0, (float)0, 0} },
{ "BizarreEcho3", { (float)0, (float)0.0627451, (float)0.470588, (float)0.706, (float)0, (float)0, (float)0.6112, (float)0.8, (float)0.2995, (float)0.1675, (float)0.4825, (float)0.3116, (float)0.203922, (float)0.833, (float)0, (float)0, (float)0.669, (float)0.8, (float)0.5735, (float)0, (float)1, (float)0.633, (float)0.0784314, 1} },
{ "SlightClean", { (float)0, (float)0.0627451, (float)0.282353, (float)0.706, (float)0, (float)1, (float)0.4998, (float)0.109804, (float)0.504, (float)0, (float)0.895, (float)0.6416, (float)0.0470588, (float)0.4505, (float)0, (float)0, (float)0, (float)0.0156863, (float)0, (float)0, (float)0, (float)0, (float)0.0156863, 0} },
{ "Synthetic", { (float)0, (float)0.0627451, (float)0.345098, (float)0.706, (float)0, (float)0.665, (float)0.831, (float)0.454902, (float)0.054, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.4505, (float)0, (float)0, (float)0, (float)0.0156863, (float)0, (float)0, (float)0, (float)0, (float)0.0156863, 0} },
{ "SuperSoft", { (float)0, (float)0.0627451, (float)0.407843, (float)0.499, (float)0, (float)1, (float)0.611, (float)0.0784314, (float)1, (float)0.415, (float)0.59, (float)0.606, (float)0.0470588, (float)0.85, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },
{ "SawSweep", { (float)0, (float)0.0627451, (float)0.282353, (float)0.291, (float)0, (float)0.66, (float)0, (float)0.67451, (float)0.235, (float)0, (float)1, (float)0.6048, (float)0.54902, (float)0.2345, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Vacuum1", { (float)0, (float)0.0627451, (float)0.282353, (float)0.1245, (float)0, (float)1, (float)0.6002, (float)0.141176, (float)0.655, (float)0, (float)1, (float)0.6016, (float)0.0470588, (float)0.7535, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Vacuum2", { (float)0, (float)0.0627451, (float)0.282353, (float)0.1245, (float)0, (float)1, (float)0.6002, (float)0.141176, (float)0.865, (float)0, (float)1, (float)0, (float)0.109804, (float)0.6205, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "AutoHarm", { (float)0, (float)0.0627451, (float)0.282353, (float)0.499, (float)0.245, (float)1, (float)1, (float)0.454902, (float)0.325, (float)0, (float)1, (float)0.598, (float)0.0470588, (float)0.3005, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Whisperer", { (float)0, (float)0.0627451, (float)0.282353, (float)0.499, (float)0.275, (float)0.5075, (float)0, (float)0.454902, (float)0.092, (float)0, (float)1, (float)0.569, (float)0.141176, (float)0.16, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "ShiftFun", { (float)0, (float)0.0627451, (float)0.282353, (float)0.1245, (float)0, (float)1, (float)0.6002, (float)0.0784314, (float)1, (float)0, (float)1, (float)0.63, (float)0.298039, (float)0.271, (float)0.3075, (float)0.515, (float)1, (float)0.454902, (float)0.101, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Chord", { (float)0, (float)0.0627451, (float)0.219608, (float)0.499, (float)0, (float)0, (float)0.418, (float)0.8, (float)0.368, (float)0.335, (float)1, (float)0.626, (float)0.203922, (float)0.5415, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.4985, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Chorus", { (float)0, (float)0.0627451, (float)0.345098, (float)0.499, (float)0.3325, (float)0.465, (float)0.611, (float)0.8, (float)0.395, (float)0.2425, (float)1, (float)0.584, (float)0.172549, (float)0.51, (float)0, (float)0, (float)0, (float)0.0156863, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Sparkle", { (float)0, (float)0.0627451, (float)0.219608, (float)0.0915001, (float)0, (float)1, (float)0, (float)0.109804, (float)0.53, (float)0, (float)1, (float)0.591, (float)0.0470588, (float)0.15, (float)0.195, (float)0.555, (float)0, (float)0.454902, (float)0.64, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Ouch", { (float)0, (float)0.0627451, (float)0.219608, (float)0.3775, (float)0, (float)0.8125, (float)0, (float)0.109804, (float)0.61, (float)0, (float)1, (float)0.591, (float)0.0470588, (float)0.07, (float)0.195, (float)0.555, (float)0, (float)0.454902, (float)0.115, (float)0, (float)0, (float)0, (float)0, 0} },
{ "Beeps", { (float)0, (float)0.0627451, (float)0.219608, (float)0.2725, (float)0, (float)0.8125, (float)0, (float)0.109804, (float)0.39, (float)0, (float)1, (float)0.601, (float)0.0470588, (float)0.9, (float)0, (float)0, (float)0, (float)0.0156863, (float)0, (float)0, (float)0, (float)0, (float)0, 0} },
#ifdef STEREO
{ "Vocode", { (float)0, (float)0.0627451, (float)0.282353, (float)0.35, (float)0, (float)1, (float)0.603, (float)0.831373, (float)0.37, (float)0, (float)1, (float)0.6042, (float)0.0784314, (float)0, (float)0, (float)0, (float)0, (float)0, (float)0, (float)0, (float)0, (float)0, (float)0, 0} },
{ "HarmMatchLR", { (float)0, (float)0.0627451, (float)0.282353, (float)0.35, (float)0, (float)0.65875, (float)0.603, (float)0.67451, (float)0.236, (float)0, (float)0.65875, (float)0.6042, (float)0.862745, (float)0.225, (float)0, (float)1, (float)0.6006, (float)0.0784314, (float)0, (float)0, (float)0, (float)0, (float)0, 0} },
{ "HarmMatchRL", { (float)0, (float)0.0627451, (float)0.282353, (float)0.35, (float)0, (float)0.65875, (float)0.603, (float)0.67451, (float)0.2475, (float)0, (float)0.65875, (float)0.6042, (float)0.894118, (float)0.2465, (float)0, (float)1, (float)0.6006, (float)0.0784314, (float)0, (float)0, (float)0, (float)0, (float)0, 0} },
#endif
// the last param is special because it will cause the next param selected to be reset to it's default values
{
	"> reset current <",
	{
		0.0f, 16.0f/255.0f, BlkFxParam::getFFTLenParam(5), 0.35f, 
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
		0.0f, 0.0f, 0.0f, 0.0f, 0.0f,
	}
}
};

unsigned g_num_blk_fx_presets = NUM_ELEMENTS(g_blk_fx_presets);
