% generate harmonic coefficients for various wave shapes

% number of points to generate
n = 2048;
angle_mask = 4095;
angle_mult = (angle_mask+1)*.5/pi;

f = fopen('harm_coeffs.cpp', 'w');
fprintf(f, '/*file generated by harm_coeffs.m*/\n');

x=[
	afft(linspace(-1, 1, n)) ...% saw tooth
    afft([linspace(-1, 1, n/2) linspace(1, -1, n/2)]) ...% triangle
    afft([-1*ones(1,n/2) ones(1,n/2)]) ...% sqr
]/n;

fprintf(f, 'float harm_abs[][%d]={\n', n/2+1);
fprintf(f, '    (float)%g,\n', abs(x));
fprintf(f, '};\n');

fprintf(f, 'float harm_norm[][%d]={\n', n/2+1);
fprintf(f, '    (float)%g,\n', abs(x).^2);
fprintf(f, '};\n');

fprintf(f, 'long harm_angle[][%d]={\n', n/2+1);
fprintf(f, '    %d,\n', bitand(round(angle(x)*angle_mult)+angle_mask+1, angle_mask));
fprintf(f, '};\n');

fclose(f);
